---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/03_Panorama/Animations/bg_layers/"
---------------------------------------------------------------------------------------
createComposition3 = nil
createCompositionWater1 = nil
---------------------------------------------------------------------------------------
createComposition3 = function()
	local composition1 = CreateCompositionSequence()
	local compositionDuration = 8
	composition1:setDuration(compositionDuration)
	composition1:setName("composition3" )
	composition1:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Water1/1
	element = createCompositionWater1()
	element:setName("Water1/1")
	composition1:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(composition1)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	composition1:play()
 
	return composition1
end
 
createCompositionWater1 = function()
	local compositionWater1 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionWater1:setDuration(compositionDuration)
	compositionWater1:setName("compositionWater1" )
	compositionWater1:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer voda_[00036-00059].png/1
	element = CreateCompositionElement(PREFIX_PATH.."voda_[].png")
	element:setName("voda_[00036-00059].png/1")
	compositionWater1:addElement(element)
	element:setHotSpot(26, 18)
	element:setParentElement(compositionWater1)
	element:setXY(249, 441)
 
	element:setScale(-1.53398,2.72222118846694)
	element:setOpacity(0.75)
					local anim = element
					anim:setAnimationSize(52,36)
					anim:setFramesCount(24)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(6.5, 8)
	effector:play()
 
 
	-- Layer voda_[00036-00059].png/2
	element = CreateCompositionElement(PREFIX_PATH.."voda_[].png")
	element:setName("voda_[00036-00059].png/2")
	compositionWater1:addElement(element)
	element:setHotSpot(26, 18)
	element:setParentElement(compositionWater1)
	element:setXY(235, 433)
 
	element:setScale(1.84466,2.72222193567251)
	element:setOpacity(0.75)
					local anim = element
					anim:setAnimationSize(52,36)
					anim:setFramesCount(24)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(5.45833333333333, 6.95833333333333)
	effector:play()
 
 
	-- Layer voda_[00036-00059].png/3
	element = CreateCompositionElement(PREFIX_PATH.."voda_[].png")
	element:setName("voda_[00036-00059].png/3")
	compositionWater1:addElement(element)
	element:setHotSpot(26, 18)
	element:setParentElement(compositionWater1)
	element:setXY(249, 441)
 
	element:setScale(-1.53398,2.72222118846694)
	element:setOpacity(0.75)
					local anim = element
					anim:setAnimationSize(52,36)
					anim:setFramesCount(24)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(4.25, 5.75)
	effector:play()
 
 
	-- Layer voda_[00036-00059].png/4
	element = CreateCompositionElement(PREFIX_PATH.."voda_[].png")
	element:setName("voda_[00036-00059].png/4")
	compositionWater1:addElement(element)
	element:setHotSpot(26, 18)
	element:setParentElement(compositionWater1)
	element:setXY(235, 433)
 
	element:setScale(1.84466,2.72222193567251)
	element:setOpacity(0.75)
					local anim = element
					anim:setAnimationSize(52,36)
					anim:setFramesCount(24)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(3.125, 4.625)
	effector:play()
 
 
	-- Layer voda_[00036-00059].png/5
	element = CreateCompositionElement(PREFIX_PATH.."voda_[].png")
	element:setName("voda_[00036-00059].png/5")
	compositionWater1:addElement(element)
	element:setHotSpot(26, 18)
	element:setParentElement(compositionWater1)
	element:setXY(249, 441)
 
	element:setScale(-1.53398,2.72222118846694)
	element:setOpacity(0.75)
					local anim = element
					anim:setAnimationSize(52,36)
					anim:setFramesCount(24)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(2, 3.5)
	effector:play()
 
 
	-- Layer voda_[00036-00059].png/6
	element = CreateCompositionElement(PREFIX_PATH.."voda_[].png")
	element:setName("voda_[00036-00059].png/6")
	compositionWater1:addElement(element)
	element:setHotSpot(26, 18)
	element:setParentElement(compositionWater1)
	element:setXY(235, 433)
 
	element:setScale(1.84466,2.72222193567251)
	element:setOpacity(0.75)
					local anim = element
					anim:setAnimationSize(52,36)
					anim:setFramesCount(24)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0.875, 2.375)
	effector:play()
 
 
	-- Layer voda_[00036-00059].png/7
	element = CreateCompositionElement(PREFIX_PATH.."voda_[].png")
	element:setName("voda_[00036-00059].png/7")
	compositionWater1:addElement(element)
	element:setHotSpot(26, 18)
	element:setParentElement(compositionWater1)
	element:setXY(235, 433)
 
	element:setScale(1.84466,2.72222193567251)
	element:setOpacity(0.75)
					local anim = element
					anim:setAnimationSize(52,36)
					anim:setFramesCount(24)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 1.5)
	effector:play()
 
 
	-- Layer water_new ([1-19]).png/8
	element = CreateCompositionElement(PREFIX_PATH.."water_new__[]_.png")
	element:setName("water_new ([1-19]).png/8")
	compositionWater1:addElement(element)
	element:setHotSpot(150, 20)
	element:setParentElement(compositionWater1)
	element:setXY(100, 484)
 
	element:setScale(0.34601223113101,1)
	element:setRotationRad(-0.0174532925)
					local anim = element
					anim:setAnimationSize(300,40)
					anim:setFramesCount(19)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(3.25, 5.625)
	effector:setKey(_TRACK_O, 3.25, 0)
	effector:setKey(_TRACK_O, 3.625, 0.65)
	effector:setKey(_TRACK_O, 5.16666666666667, 0.65)
	effector:setKey(_TRACK_O, 5.58333333333333, 0)
	effector:play()
 
 
	-- Layer water_new ([1-19]).png/9
	element = CreateCompositionElement(PREFIX_PATH.."water_new__[]_.png")
	element:setName("water_new ([1-19]).png/9")
	compositionWater1:addElement(element)
	element:setHotSpot(150, 20)
	element:setParentElement(compositionWater1)
	element:setXY(315, 457)
 
	element:setScale(0.34601223113101,1)
	element:setRotationRad(0.06981317)
					local anim = element
					anim:setAnimationSize(300,40)
					anim:setFramesCount(19)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(5.41666666666667, 7.79166666666667)
	effector:setKey(_TRACK_O, 5.41666666666667, 0)
	effector:setKey(_TRACK_O, 5.79166666666667, 0.65)
	effector:setKey(_TRACK_O, 7.33333333333333, 0.65)
	effector:setKey(_TRACK_O, 7.75, 0)
	effector:play()
 
 
	-- Layer water_new ([1-19]).png/10
	element = CreateCompositionElement(PREFIX_PATH.."water_new__[]_.png")
	element:setName("water_new ([1-19]).png/10")
	compositionWater1:addElement(element)
	element:setHotSpot(150, 20)
	element:setParentElement(compositionWater1)
	element:setXY(189, 466)
 
	element:setScale(0.34601223113101,1)
	element:setRotationRad(-0.2268928025)
					local anim = element
					anim:setAnimationSize(300,40)
					anim:setFramesCount(19)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(1.58333333333333, 3.95833333333333)
	effector:setKey(_TRACK_O, 1.58333333333333, 0)
	effector:setKey(_TRACK_O, 1.95833333333333, 0.65)
	effector:setKey(_TRACK_O, 3.5, 0.65)
	effector:setKey(_TRACK_O, 3.91666666666667, 0)
	effector:play()
 
 
	-- Layer water_new ([1-19]).png/11
	element = CreateCompositionElement(PREFIX_PATH.."water_new__[]_.png")
	element:setName("water_new ([1-19]).png/11")
	compositionWater1:addElement(element)
	element:setHotSpot(150, 20)
	element:setParentElement(compositionWater1)
	element:setXY(100, 484)
 
	element:setScale(0.34601223113101,1)
	element:setRotationRad(-0.0174532925)
					local anim = element
					anim:setAnimationSize(300,40)
					anim:setFramesCount(19)
					anim:setFPS(16)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2.375)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 0.375, 0.65)
	effector:setKey(_TRACK_O, 1.91666666666667, 0.65)
	effector:setKey(_TRACK_O, 2.33333333333333, 0)
	effector:play()
 
 
	-- Layer ocean_[00000-00011].png/12
	element = CreateCompositionElement(PREFIX_PATH.."ocean_[].png")
	element:setName("ocean_[00000-00011].png/12")
	compositionWater1:addElement(element)
	element:setHotSpot(35, 21)
	element:setParentElement(compositionWater1)
	element:setXY(81, 507)
 
	element:setScale(0.94767186501085,4.145176)
	element:setRotationRad(1.500983155)
	element:setOpacity(0.2)
					local anim = element
					anim:setAnimationSize(70,42)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer ocean_[00000-00011].png/13
	element = CreateCompositionElement(PREFIX_PATH.."ocean_[].png")
	element:setName("ocean_[00000-00011].png/13")
	compositionWater1:addElement(element)
	element:setHotSpot(35, 21)
	element:setParentElement(compositionWater1)
	element:setXY(238, 493)
 
	element:setScale(0.94767186501085,4.145176)
	element:setRotationRad(1.3089969375)
	element:setOpacity(0.2)
					local anim = element
					anim:setAnimationSize(70,42)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer smoke_[00000-00011].png/14
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:setName("smoke_[00000-00011].png/14")
	compositionWater1:addElement(element)
	element:setHotSpot(29, 22)
	element:setParentElement(compositionWater1)
	element:setXY(247, 400)
 
	element:setScale(2.6,3.08571428571429)
	element:setOpacity(0.5)
					local anim = element
					anim:setAnimationSize(58,44)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer water_cycLitle_[00000-00011].png/15
	element = CreateCompositionElement(PREFIX_PATH.."water_cycLitle_[].png")
	element:setName("water_cycLitle_[00000-00011].png/15")
	compositionWater1:addElement(element)
	element:setHotSpot(26, 40)
	element:setParentElement(compositionWater1)
	element:setXY(208, 253)
 
	element:setScale(-1,1.68261855452991)
	element:setRotationRad(0.0523598775)
					local anim = element
					anim:setAnimationSize(52,80)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer water_cycLitle_[00000-00011].png/16
	element = CreateCompositionElement(PREFIX_PATH.."water_cycLitle_[].png")
	element:setName("water_cycLitle_[00000-00011].png/16")
	compositionWater1:addElement(element)
	element:setHotSpot(26, 40)
	element:setParentElement(compositionWater1)
	element:setXY(221, 282)
 
	element:setScale(-1.27289688947801,2.52370942478833)
	element:setRotationRad(-0.034906585)
					local anim = element
					anim:setAnimationSize(52,80)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer water_cycLitle_[00000-00011].png/17
	element = CreateCompositionElement(PREFIX_PATH.."water_cycLitle_[].png")
	element:setName("water_cycLitle_[00000-00011].png/17")
	compositionWater1:addElement(element)
	element:setHotSpot(26, 40)
	element:setParentElement(compositionWater1)
	element:setXY(235, 376)
 
	element:setScale(-1.55313875939537,3.0668442915717)
	element:setRotationRad(0.0872664625)
					local anim = element
					anim:setAnimationSize(52,80)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer BG_voda.png/18
	element = CreateCompositionElement(PREFIX_PATH.."BG_voda.png")
	element:setName("BG_voda.png/18")
	compositionWater1:addElement(element)
	element:setHotSpot(82.5, 28)
	element:setParentElement(compositionWater1)
	element:setXY(244.5, 450)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer krugi_2_fast_[00-21].png/19
	element = CreateCompositionElement(PREFIX_PATH.."krugi_2_fast_[].png")
	element:setName("krugi_2_fast_[00-21].png/19")
	compositionWater1:addElement(element)
	element:setHotSpot(50, 23)
	element:setParentElement(compositionWater1)
	element:setXY(245, 459)
 
	element:setScale(1.4,0.82608695652174)
	element:setOpacity(0.15)
					local anim = element
					anim:setAnimationSize(100,46)
					anim:setFramesCount(22)
					anim:setFPS(22)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionWater1:play()
 
	return compositionWater1
end
 
